using System;
using System.Collections.Generic;
using System.Text;

namespace BubbleSorter
{
    public class Radnik
    {
        private String ime, prezime, odelj;
        private Double plata;
        public Radnik(String ime, String prezime, String odelj, Double plata)
        {
            this.ime = ime; 
            this.prezime = prezime;
            this.odelj = odelj;
            this.plata = plata;
        }
        public String getIme() { return ime; }
        public String getPrezime() { return prezime; }
        public String getOdelj() { return odelj; }
        public Double getPlata() { return plata; }
    }

    class BubbleSorter
    {
        public static Radnik [] sortiraj(Radnik[] niz)
        {
            Radnik[] novi = new Radnik[niz.Length];
            for (int i = 0; i < niz.Length; i++)
                novi[i] = new Radnik(niz[i].getIme(), niz[i].getPrezime(), niz[i].getOdelj(), niz[i].getPlata());

            for (int i = 0; i < novi.Length - 1; i++)
                for (int j = i + 1; j < novi.Length; j++)
                    if (
                            (novi[i].getPrezime().CompareTo(novi[j].getPrezime()) > 0) ||
                            (novi[i].getPrezime().CompareTo(novi[j].getPrezime()) == 0) &&
                            (novi[i].getPlata() > novi[j].getPlata())
                        )
                        {
                            Radnik pom = novi[i];
                            novi[i] = novi[j];
                            novi[j] = pom;
                        }
            return novi;
        }
    }

    class Program
    {
        static void Main(string[] args)
        {
            Console.Write("Unesite broj radnika: ");
            int broj = int.Parse(Console.ReadLine());
            Radnik [] niz = new Radnik [broj];

            Console.WriteLine("Unesite radnike!");
            for(int i=0; i<broj; i++){
                Console.Write("Unesite {0} radnika (ime,prezime,odeljenje,plata): ", i+1);
                String im = Console.ReadLine(), pr = Console.ReadLine(), od = Console.ReadLine();
                Double pl = Double.Parse(Console.ReadLine());
                niz[i] = new Radnik(im, pr, od, pl);
            }

            Radnik[] sortiraniNiz = BubbleSorter.sortiraj(niz);
            Console.WriteLine("Ispis radnika: ");
            for (int i = 0; i < broj; i++)
            {
                Console.WriteLine((i+1).ToString() + ". radnik:  " + sortiraniNiz[i].getIme() + " " + sortiraniNiz[i].getPrezime() + " " + sortiraniNiz[i].getOdelj() + " " + sortiraniNiz[i].getPlata()); 
            }
        }
    }
}
